library ieee;
use ieee.std_logic_1164.all;

use work.router_pkg.all;
use work.test_pkg.all;

entity receive_data is
	port(
		in_clk     : in  std_logic;
		in_reset   : in  std_logic;
		out_data   : out test_recv_package_out_t;
		in_data    : in  test_recv_package_in_t;
		in_port_p1 : in  router_port_p1_t;
		in_port_p2 : out router_port_p2_t
	);
end entity receive_data;

architecture RTL of receive_data is
		`protect BEGIN_PROTECTED
`protect version = 1
`protect encrypt_agent = "Model Technology", encrypt_agent_info = "10.1e"
`protect key_keyowner = "Mentor Graphics Corporation" , key_keyname = "MGC-VERIF-SIM-RSA-1" , key_method = "rsa"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 128)
`protect KEY_BLOCK
cjbBSdnXZg34kMH/D4HHXzxKDh6BQ+6LL59Eli5Oovm5+EZIjrw6Lh3QXFboO90d
Fm1AuqjzCb+f/c5SRebTWdf7Kmf8rZDsn60O9ZBORBBUL5T89TbWKAhFitKBn7SU
hUhAIQRSYqu7PG2enLUkfRVoRb+ZsId16vzv5atuMBI=
`protect data_method = "aes128-cbc"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 1871)

`protect DATA_BLOCK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`protect END_PROTECTED
end architecture RTL;
