library ieee;
use ieee.std_logic_1164.all;

package router_pkg is
	--Type for representing address
	subtype router_address_t is std_logic_vector(31 downto 0);

	--Type for representing data
	subtype router_data_t is std_logic_vector(7 downto 0);

	--Type for representing one direction signals of a port
	type router_port_p1_t is record
		address : router_address_t;
		data    : router_data_t;
		write   : std_logic;
	end record;

	type router_port_p1_array_t is array (natural range <>) of router_port_p1_t;

	--Type for representing one direction signals of a port
	type router_port_p2_t is record
		ack : std_logic;
	end record;
	type router_port_p2_array_t is array (natural range <>) of router_port_p2_t;

	--Students have to implement this component
	component router is
		generic(
			N           : integer;
			BUFFER_SIZE : integer
		);
		port(
			in_clk      : std_logic;
			in_reset    : std_logic;
			in_port_p1  : in  router_port_p1_t;
			in_port_p2  : out router_port_p2_t;
			out_port_p1 : out router_port_p1_array_t(0 to 2 ** N - 1);
			out_port_p2 : in  router_port_p2_array_t(0 to 2 ** N - 1)
		);
	end component router;
end package router_pkg;

package body router_pkg is
end package body router_pkg;
