library ieee;
use ieee.std_logic_1164.all;

use work.test_pkg.all;
use work.router_pkg.all;

entity send_data is
	port(
		in_clk      : in  std_logic;
		in_reset    : in  std_logic;
		in_data     : in  test_send_package_in_t;
		out_ack     : out test_send_package_out_t;
		out_port_p1 : out router_port_p1_t;
		out_port_p2 : in  router_port_p2_t
	);
end entity send_data;

architecture RTL of send_data is
			`protect BEGIN_PROTECTED
`protect version = 1
`protect encrypt_agent = "Model Technology", encrypt_agent_info = "10.1e"
`protect key_keyowner = "Mentor Graphics Corporation" , key_keyname = "MGC-VERIF-SIM-RSA-1" , key_method = "rsa"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 128)
`protect KEY_BLOCK
R0XYBhYteZP47I7YWdRHVA0SFus0/dZBsELPvg8khfM1FiXeo2dNLJ/1RcEfhgFA
JeXUOw0CQseXJu7hMsvyc5u8xyyZXaPmYCMz1SyViAREP99M97WL+XZxTr+6p5TA
bSetCBc7zkBsWhSoCp2XtRfzaaE8InqqJBqlbqcYzDI=
`protect data_method = "aes128-cbc"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 1769)

`protect DATA_BLOCK
izn6tMsCL1PxNLlY4TVNoZKBiI3AdcfmqaephRTLizbLjjwxnAm07nKGlsQeuy42
jP7T7yJDYGH/p+okcLC7P5GkbFzjImFqayk6OcE0v3uojVDvwnYqpBi5tFKq/P1P
ZhVQQk/ZoYCAaH2hMXoUxQOKO0WgME1Fxu24i90rtNQBa9xwsSHhSTiNv+2lemtc
Xe6WAk4LoDBFIbp7DAeiQb5XmNRS3RiudmCTM7iKTntD4EQwUrE57Ouscp0ENBya
74B1Fj+mC/2UTLIaOGT4a8aS8yDONVCpBrF72uJ/1QP2VNQrrxG5hUCsN725Ru9a
OzlutE0Mk1/dDSvaAItjbhaVqzhz1oDRTjCZCUrV7x6tyXO1zua9T25tSmJVIEtL
Guz2NJ6qMaPGBnhw+myo8eE8w4jqaDMqwXNANOs7nBlzK1G2wUGLVJc57jC8tosN
ld2Pv0o7n5W9Fo3GT9D02OqsCV8IZBG1vzGchMts9dt2uZieq68bmKZ6v/bkOak2
g/bPhFUDcEKfbWLVUbAEsBkUtnBN7v88FX2Z4/UJPPeOfaxmfGTDNwcqThw8fWqH
VvQg4Fm5fI/yyvadxFxbPYa8s7bTwzvQGRcNC2TYYooML31KZv/ngc+KKTUlCPc+
axRtbngWNAJ51cXWr3MWrewzWQ1ycdb9WU2Ykt9D9rg58PDzT0iGNAsihNMgZH9S
dnito1+E5KxuQyPye034qBPPZ16k8J9etNmX3orTkDbqVdacrV3i/Hh5FWx74HP/
BFzPgqTJZmbrgLPAsKYfpMxU6RzMdx+ATufuYuHtlqkbbqxCKvlkz4pqR8bV7A+r
6RWAyqVuTfm+t5FS38xDLZDQsP5VHtNyEuywUuLjtCJM8wOUM+VQFZ+F0osD8PEL
H+A+n1cDrKH0fTl88pMQVk21uJGcbjfdPOBqaJTdKE4zMBF/VC9mYG9pm+neRckC
GNLU5iOpx9QJ0WyD9aDnRzALGxub8AkBVkzRkF2FuWVX5OG9C32puxn6decxVu0N
qP2WEGm3dJ57UnEtJ3vKTRkcgMbbxTnOlxsv+tNHSF+DqrF1J6nZuJ6J9jCNmOLX
ZnZj81dx0HwJaImPBV9wJxQECagbNSkL2UaXC2KbCgjEpJJ9h3inVQlm+sNiQykC
6o5sgDK+Mnja9wKc6M34bAHpFj78gRk+4JWblGaEGIkKahoG8iCgbjNm7EAXWPEU
r17kjkWu0h/7OBTnJUiYJC0Rr/yrf3XEXPhjZ12pftIglz/I5BkwCW+aKGQhw+eQ
6KvepRfNJon9Wsp+zucKgTAWexH4bw4r1MRMVEl947GhdraAOcQGco1yBc7c2Z6m
rv/iRZ7OEXMuu+b2wFNXdLBokKADq8Vp9FyQPPfdiLT/iBzlJM2ryJHNlX4wzFbq
Kg536eKbZFiXJnbmw/HSjqlpu/KwG629NLiS6dJAffNjbFLbgWCJQXnMByRzLVPh
s5T6Ce+dxsWx32l1NrxrcBF9/zUQrrz0hLGj3t0eJZSI+RAEaPetZxgDzhmWMrU7
80R1CdXeXhsDChbljT4xk3M58/FQLTuelT0vC7eVOMWAbgtJHKe9DmVhntZnUPZq
QTT2HfCnrv9bA2Ce3UeH/DW9LW1n8h5klPp6Tx0LOxNhb1aNKbVhlnlZ2TluyTJ7
89G460yJYQlF3ryDnqmAkm8BhaYYPsp0GjiVDCNruhf2ynITPLlWdv85qJb0qOzt
lLGDWSo68A3sVdMt/LyAEZ8zmOa2PK/7cEyVfA6vZZdDDmDI/5XqHCWCYHcq4Oal
BsllTizQEtg14rsXX9Xvv1rxg5dgJucB34sNNX8Wt7Aqs4YDfmC4V5yX+Acj0eb3
MTWajUD/kgBuCJTeiedhpmbhkMpM6cMnsVD0T/lxWkvvViKkCUctxo4idtIevPTZ
vk4rZDWsvHU3NwajBPhTxHmUuu5vRNAuFs2EDRa2avxpAxdqQE+SpHqgOQpmyudk
vJRMp9M/5CvcaO0tjiPQPm9o0Vda2kP9QQVH1aabme/jFkfBoQkIkiDWjvcbNG75
kEC7nIvA3X9Qn/q91KCr8fiMtUvLapH1YAvL9NuT5ZMYnrHFi+iqVi3Qx/yoh65s
04Sa63EjzrupozXgSbPKKxmgV2C1Q5sMgRmu+/mmPImzKXBUKrRXE+bjXShCbbAR
8BcHlBmn6jN6hfKhRVKBRALq+pxtON+8tT+KxD5bCFIoUS+X1eIFLIOiWlnnt95n
bbr7s/uKgT4ANChWhLqPpXE1zkeUt0EJ3ZMljVcddl0oFPTPX4eghHxwif0AF0AV
dE8jI9bH9WaoG4N9pa5TUZ/EQaYRcVkjxQLNTjiT6j1b15BXtGkwNV9T/zfiQKno
wHEkDexio0ZSf8wc4XQltQ==
`protect END_PROTECTED
end architecture RTL;
