library ieee;
use ieee.std_logic_1164.all;
use work.router_pkg.all;
use work.test_pkg.all;

entity test_tsb is
	generic(
		clk : time := 5 ns;
		rst : time := 20 ns
	);
end entity test_tsb;

architecture RTL of test_tsb is
		`protect BEGIN_PROTECTED
`protect version = 1
`protect encrypt_agent = "Model Technology", encrypt_agent_info = "10.1e"
`protect key_keyowner = "Mentor Graphics Corporation" , key_keyname = "MGC-VERIF-SIM-RSA-1" , key_method = "rsa"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 128)
`protect KEY_BLOCK
F8UrDT0OVSvIQJGsJ5NQTP1fKi0Dg1POYh+UoAUs+CvXD5JTOyGwcU6fCgP7NM9o
zjycKLz/zwtqZKDsDHVdXg4T4msxhU2CAYCnWD1Us8ZUUljUOHMqV1KpdZtyhnlf
8RvusdmYYlkOEArfj/7vy5uD8/tPfZ7qUvJnC8UlLmA=
`protect data_method = "aes128-cbc"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 1054)

`protect DATA_BLOCK
GL6NayhsuzL1tRIwE3W5q4V+R9IgCjF6tcP+Tzofoc376ObFdUVUkv1CsUt/unI8
cVp0dqOnooTDWLM2wYqitEo1StJWZVELqgka9Fnb8TjtJFPFmyeLhQ3JOgBLl8g1
1Wp6hX6RCmzb93EHJTQWM6R147rX1cdTrC4BgmtkUvlrpp6wleA2Ht2iuJcedMTB
R1vfZ1WbwaxILx/TojA82mtrMZK8yUPPPgSnt3XWhI4TdpF3/lphV6ronTtbbbSN
nEeoV8h6PdtqkB0qD/A55qeez+LqPFambJFbMt8wnnQXNoEtMlJ23PJwWebD+wXv
G78NZXm6ueKrpxFODgwY3pkbQzaAoEeShVm+sPaCHt80vUhA+4vt/CE6kOy60c2q
e6Qrt1dJOohMuQGWtOges63L8lAWVHQj+/fW71bbsGkCx5GwEakuItuTTWQllK0l
/Nu3DVsVpJfFuR3iZYv8vJirkN4grX66kapJDkHIgnq3JOeT5xMe3Aj9l6mkzS1N
vOhTwp3sp4eQn0pdjwiwaUccSWJ5SIt1uJ+fOsAmqhQpS6BIPHqhCMlOa/a77mES
C4S0u88+j472xhj5S1x7G9yROqXZUroxUzuIUO+KGFY63q3kQhmpDU1y2J83/MFq
8+MqR53yeYaatUac/OFup3QEgspnbyKCgHjzKH1osYFHYcTCQ7HSY+MMbSLfJ2tx
9Yk1pltGzyuRELNVsrTAR+OJD4tyx1gOOM+54a0fos6jA12Fb1zFbcmPlSxkF0bL
le+QEaAnUa5AYXWTYzioGlxTNk9dbnoQsyaGYDZ4e9VUj9jRt5KijFONlOostH7/
PQBjr23t2k/qQA7E4aRmydZpSa0cK+2hsnNzeV01HWV1JhHbDpf6LWzWajY9aYoJ
dAl1mZ9daUn1xzS/o3aPA5Iuh74lrIRoaRMvZY8YK5UTRhu32Q97sh4TNRAtkAEm
3UAr47S2g6f5LUDiIMSLalrgVrCSocO673hti+7nzBnINNqPrh7IEclxYrVQC6RP
m6fC9t1Ox+QBkW/1i6ETWhwYdO4YblXsV56qBAgFUS9KwJFL+sVTXzsvYqRaddr8
mly2d7TGHz78jv303PDkFWBKnWJc15iD8AD6w/DRP4GCK5AvT964e2LieOaaeWAZ
2noA1Cve8/UpFDLgxz5o1OxD41uMuy/NHqpCZNA7XJHpo8+nlqz06TRO7dQTpf7C
rVABfx5LZHavldP73j/nfvhjhHDzIovRt4qgkKcB800bVAdlNiobGhf1nbfdkDSS
0tdII9dUepKdlFVXp1jA1LfEepv2Q2AEjKY2+C9o6s0RRK7IPVX2vGoh6MorgK0v
9VKmksuo4A56FG8FLQOzmek8ulGgUMmgGqMMJNWUisX9P5MAVgSl7YRXeOlMY+36
ueJiUY45WJFhhSxrJtn9TA==
`protect END_PROTECTED
	router_inst : component router
		generic map(
			N           => N_OUTPUT,
			BUFFER_SIZE => BUFFER_SIZE
		)
		port map(
			in_clk      => clock,
			in_reset    => reset,
			in_port_p1  => in_port_p1,
			in_port_p2  => in_port_p2,
			out_port_p1 => out_port_p1,
			out_port_p2 => out_port_p2
		);

	`protect BEGIN_PROTECTED
`protect version = 1
`protect encrypt_agent = "Model Technology", encrypt_agent_info = "10.1e"
`protect key_keyowner = "Mentor Graphics Corporation" , key_keyname = "MGC-VERIF-SIM-RSA-1" , key_method = "rsa"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 128)
`protect KEY_BLOCK
H6PLJz1IiG8P6yWM7UQBUFDItVo7MQisJfHFBkc+fva5xhfKX2PV6aHiWs2IJWsO
g7LdAAMGIzmHpuZ1wNzxcqBoBNzfxQ6zCoxb9NzjGudQbQPEOmfpP0l6DEsqq/Wv
qMg0FVuRfAbmHcFHK8jCgfAicrkK1OeoRH1HfBmJ+3I=
`protect data_method = "aes128-cbc"
`protect encoding = (enctype = "base64", line_length = 64, bytes = 953)

`protect DATA_BLOCK
gTiahm86gLryzbqZmPijNAAZ4IMuZLcg/FEVx212Nfk3yg6YnQQi3iRlpv6NHrW+
NgQVcIMA02Roj808hT+/IqWx74PhPJSPUCOK0pZpt7P9jK7drw0m4U83kzyuD5Qm
pfXMRQH9s5Zho1iAhKEApiESeEqXXGoEXfVxkbvie6iFtVw+4W9xXyG55qa8vfS4
vHXs/D8ZS+jSaqewPYG3XnknFR/5+s5Z2R3Tk31qkK+UY79vVrEfAfwKhqsOCPtv
6qKBaN08QsoPDtKqmTtwDXziW2a/VL7x+S75RkG/BGQHLrdc6JJcSw4k1Uk8sh6F
RdmdoV/9TGtkY0df1VKCN+31iJqPKduXWsInkM8AL0wZuGE79382yZCyaH7j2/t8
pADn37kJPWNE1M3ePYGRgdGsnZJSFbAHqNQYpYCRXt99zVf6mCkt6iL/8+fvPjSx
7A2Sx57j59zXx4q96REtO59MyP6ZCBTWqd0g1a4uGqLCg+SuK58m6pZowJWiWT3m
ab0wFm/5hEJ0LWFPnrtMsXWs3/U9vTNrDN/PRC5XJbdynxJHMzyC509j8/Of8H/O
nb5f+GmX833u6pnbUhCPqFuMqr52p/2WnnGU5kR4fh/7ulwFSm7ANcMzDQqvCOT6
Y0vu/vKSpA5EqYGF60X2WTdwH/XlJ8u+bGv+IoH788wh3sgq/Vo2b2MhDzr5cCuA
yR7RzD1vdNn8cksqJw4s4Xyasg71hTwZT53HzZMOvgNE/4qzQUiatYs34C2QsPOV
yTohh51L/mzs2Is/Ybw72UYYwzfnqolU27kyWw4D7xcvxCgCkAIAbV6ofxNbHDv3
0kabx92vLnv7jp1/h6mlE9dgcfGyO5pjnZ87mplD+y0CdgunzfZIlLhr/eFWCwy+
uwVhEgwiosjVZ5PHEBrGCbuv8X6I60wTgWv4oL07369nnSnftbF8ygn6ZAlNpvCx
+O/mLgAh/1Zy184oLCNLxevTgugB5uzpl889CplVcH5TU7nlCq6k+V5Jj16DhL74
GUPXKskYNow2yJ0koUz5CM7GUA6K3ZvS32W3skuLcuTAAvd14nGH1lyJNHHT7MR1
p7W7dbJ6XOWiLdeIHOUmDqRG4LEjdSVnuQzFCpdzncWqW3vObL3R3JyYs9ukBFxO
UUyf3FWhT5+0Hu6wAZL3g56tP9Xe258XIPcljsWpxY/DFeYvibbadnmwJAjUXjvd
jPFZtQ8NdPpE2+kcM/jGQkHWJke7wYfiNmZ0oXn8aDZm51zreW91XI9Z1DqZQjyj
j8/LxGtaZWLnIgVdrruC7g==
`protect END_PROTECTED
end architecture RTL;
